/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package GUI.game;

import Program.Program;
import Program.Settings;



/**
 *
 * @author Kovax
 */
public class Game  
{
    public Controller controller;
    public Settings settings;
    
    public Game(Settings settings)
    {
        this.settings = settings;
        this.startGUI();
    }
 
    public synchronized void startGUI()
    {
        Controller game    = new Controller(this.settings);
        
        Model gameModel    = new Model(game);
        View gameView      = new View(game,gameModel);
        game.registerModel(gameModel);
        game.registerView(gameView);
        
        this.controller = game;
    }
}
